futhark-0.25.27: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.Optimise.MemoryBlockMerging

Description

This module implements an optimization that tries to statically reuse kernel-level allocations. The goal is to lower the static memory usage, which might allow more programs to run using intra-group parallelism.

Synopsis

- optimise :: Pass GPUMem GPUMem

# Documentation

optimise :: Pass GPUMem GPUMem Source #

Perform the reuse-allocations optimization.